## NAME

curl_multi_remove_handle - remove an easy handle from a multi session

## SYNOPSIS

#include <curl/curl.h>

CURLMcode curl_multi_remove_handle(CURLM *multi_handle, CURL *easy_handle);

## DESCRIPTION

Removes a given easy_handle from the multi_handle. This will make the specified easy handle be removed from this multi handle's control.

When the easy handle has been removed from a multi stack, it is again perfectly legal to invoke curl_easy_perform() on this easy handle.

Removing a handle while being used, will effectively halt all transfers in progress.

## RETURN VALUE

CURLMcode type, general libcurl multi interface error code.

## SEE ALSO

curl_multi_cleanup (3) curl_multi_init (3)

This HTML page was made with roffit.